#pragma once

#include <memory>

struct Vector;

struct CompiledProgram
{
  virtual float process(float) = 0;
};

std::unique_ptr<CompiledProgram> compileProgram(Vector* ast);
std::unique_ptr<CompiledProgram> compile(const char* source);

