#include <string>
#include <memory>
using namespace std;

#include "compiled_program.h"

extern "C"
{
Vector* parseProgram(const char* programText);
}

unique_ptr<CompiledProgram> compile(const char* source)
{
  const auto ast = parseProgram(source);
  return compileProgram(ast);
}

