/*
 * Copyright (C) 2017 - Sebastien Alaiwan
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 */
#pragma once

#include "filter.h"

class MoogFilter : public Filter
{
public:
  MoogFilter();
  virtual float Work(float sample);
  void setCutoff(float cutoff);
  void setRes(float r);

private:
  void Update(float freq, float res);
  float m_Freq;
  float m_Res;

  float m_y1, m_y2, m_y3, m_y4;
  float oldy[4];
  float m_r;
  float m_p;
  float m_k;
};

