/**
 * @file ksguids.cpp
 * @author Sebastien Alaiwan
 * @date 2011-11-20
 */

/*
 * Copyright (C) 2011 - Sebastien Alaiwan
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <windows.h>
#include "ddk/ks.h"
#include "ddk/ksmedia.h"

#define INSTANCIATE_GUID(a) GUID const a = { STATIC_ ## a }

INSTANCIATE_GUID(GUID_NULL);
INSTANCIATE_GUID(KSPROPSETID_Pin);
INSTANCIATE_GUID(KSPROPSETID_Connection);
INSTANCIATE_GUID(KSPROPSETID_Topology);
INSTANCIATE_GUID(KSINTERFACESETID_Standard);
INSTANCIATE_GUID(KSMEDIUMSETID_Standard);
INSTANCIATE_GUID(KSDATAFORMAT_TYPE_MUSIC);
INSTANCIATE_GUID(KSDATAFORMAT_SUBTYPE_MIDI);
INSTANCIATE_GUID(KSDATAFORMAT_SPECIFIER_NONE);

