// Example plugin using eVereST.

/*
 * Copyright (C) 2017 - Sebastien Alaiwan
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 */

#include "lib_everest.h"

// Example code:
//
namespace
{
class MyPlugin : public EVEREST::IPlugin
{
public:
  virtual void SetSampleRate(float /*fSampleRate*/)
  {
  }

  virtual void ProcessAudio(float** /*pInput*/, float** /*pOutput*/, long /*iNumSamples*/)
  {
  }

  virtual void OnTempoChange(float /*fTempo*/)
  {
  }

  virtual void GetId(char* pId) const
  {
    pId[0] = '@';
    pId[1] = '@';
    pId[2] = '@';
    pId[3] = '@';
  }

#if EVEREST_ENABLE_GUI
  virtual juce::Component* CreateEditor()
  {
    return nullptr;
  }

#endif
};
}

