#pragma once

#include "ksmidipin.h"

class CKsMidiFilter :
  public CKsFilter
{
public:
  virtual void EnumeratePins();

protected:
  CKsMidiFilter(tstring const& sPath, std::string const& sFriendlyName);
};

class CKsMidiRenFilter :
  public CKsMidiFilter
{
public:
  CKsMidiRenFilter(tstring const& sPath, std::string const& sFriendlyName);
  CKsMidiPin* CreateRenderPin();
};

class CKsMidiCapFilter :
  public CKsMidiFilter
{
public:
  CKsMidiCapFilter(tstring const& sPath, std::string const& sFriendlyName);
  CKsMidiPin* CreateCapturePin();
};

