/*
 * Copyright (C) 2017 - Sebastien Alaiwan
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 */
#pragma once

#include "lib_utils/fraction.h"

class MonoGate
{
public:
  MonoGate();
  void processSample(float const* in, float* out);

  void On(Fraction const& periodInSamples);
  void Off();

private:
  Fraction m_iPeriodInSamples;
  int m_iPosition;

  bool m_bPlaying;
};

